
/*import all node modules*/
var http 			= 	require('http');
var express 		=	require('express');
var app 			= 	express();
var mysql			= 	require('mysql');
var bodyParser 		= 	require('body-parser');
path 				=	require('path'),

//set the port
app.set('port', 3000);

/*parse all form data*/
app.use(bodyParser.urlencoded({ extended: true }));

/*formatting dates*/
var dateFormat = require('dateformat');
var now = new Date();

/*view engine template parsing*/

app.set('view engine','ejs');


/*import all JS and CSS files*/
app.use(express.static(path.join(__dirname, '/public')));
app.use('/js',express.static(__dirname + '/node_modules/bootstrap/dist/js'));
app.use('/js',express.static(__dirname + '/node_modules/tether/dist/js'));
app.use('/js',express.static(__dirname + '/node_modules/jquery/dist'));
app.use('/css',express.static(__dirname + '/node_modules/bootstrap/dist/css'));
app.use('/css',express.static(__dirname + '/css'));
app.use('/js',express.static(__dirname + '/js'));


/*database connection */

var con = mysql.createConnection({

  host: "localhost",
  user: "root",
  password: "root",
  database : 'capsule2',
  socketPath : '/Applications/MAMP/tmp/mysql/mysql.sock'
  });

con.connect(function(err) {
  if (err) throw err;
  console.log("Connected!");
});


const siteTitle = "Capsule conversationnelle";
const baseURL = "http://localhost:3000";


app.get('/',function(req,res){
	/*liste audio, console.log(result);*/
	res.render('pages/accueil.ejs',{
			siteTitle : "Capsule conversationnelle",
			pageTitle : "Accueil",
			items : ''	
	});
});


app.get('/ecoutez',function(req,res){
	con.query("SELECT * FROM TABLE1 ORDER BY RAND( )LIMIT 0,5",function(err,result){
	    /*liste audio, console.log(result);*/
	    res.render('pages/ecoutez.ejs',{
			siteTitle : "Capsule conversationnelle",
			pageTitle : "Ecoutez",
			items : result
	    });
    });
});


app.get('/ajoutez',function(req,res){
/*app.get('/event/add',function(req,res){
	liste audio, console.log(result);*/
	res.render('pages/add-event.ejs',{
			siteTitle : siteTitle,
			pageTitle : '',
			items : ''	
	});
});


app.post('/ajoutez', function(req,res){
	var query= "INSERT INTO TABLE1 (title,src) VALUES ('"+req.body.title+"', '"+req.body.src+"')"
	con.query(query,function (err,result){
		res.redirect(baseURL);
	});
});

/*connect to server*/

// Listen for requests
var server = app.listen(app.get('port'), function () {
  console.log('The server is running on http://localhost:' + app.get('port'));
})

// Gerard 1-11-2018
app.get('/Capsule10Tablette',function(req,res){
/*app.get('/event/add',function(req,res){
	liste audio, console.log(result);*/
	res.render('pages/Capsule10Tablette.ejs',{
			siteTitle : siteTitle,
			pageTitle : '',
			items : ''	
	});
});

// WebSocket Portion
// WebSockets work with the HTTP server
var io = require('socket.io').listen(server);

// Register a callback function to run when we have an individual connection
// This is run for each individual user that connects
io.sockets.on('connection', 
  // We are given a websocket object in our function
  function (socket) {

  console.log("We have a new client: " + socket.id);

  // When this user emits, client side: socket.emit('otherevent',some data);
  socket.on('Capsule', 
    function(data) {
    // Data comes in as whatever was sent, including objects
    // console.log("Received: 'PlayFile1' " + data.x + " " + data.y);
    console.log("Received: 'Capsule' " + data.x + " " + data.y );
    // Send it to all other clients
    socket.broadcast.emit('Capsule', data);
    // This is a way to send to everyone including sender
    // io.sockets.emit('message', "this goes to everyone");
  }
  );

  socket.on('Tablette', 
    function(data) {
    // Data comes in as whatever was sent, including objects
    // console.log("Received: 'PlayFile1' " + data.x + " " + data.y);
    console.log("Received: 'Tablette' " + data.x + " " + data.y );
    // Send it to all other clients
    socket.broadcast.emit('Tablette', data);
    // This is a way to send to everyone including sender
    // io.sockets.emit('message', "this goes to everyone");
  }
  );

  socket.on('disconnect', function() {
    console.log("Client has disconnected");
  }
  );
}
);
